=== test/envs/CMakeLists.txt ===
# OpenGL tests
# TODO: fix dependency on resource manager and re-enable
#add_subdirectory(opengl)
