=== debian/changelog ===
colobot (0.1.5-2build1) wily; urgency=medium

  * No change rebuild for boost1.58/libstdc++6.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Sun, 02 Aug 2015 13:32:35 +0100

colobot (0.1.5-2) unstable; urgency=medium

  * Install the OpenGL 2.1 and 3.3 shaders in colobot-common

 -- Didier Raboud <odyx@debian.org>  Wed, 17 Jun 2015 09:52:17 +0200

colobot (0.1.5-1) unstable; urgency=low

  * New 0.1.5 upstream release
    - Disable timestamps in the Doxygen-generated HTML documentation, to help
      reproducible builds (Closes: #787829)
    - Allow PHYSFS to follow symlinks, fixes the launch on Debian systems which
      fonts' are symlinks to the system fonts

  * Wrap-and-sort the debian/control file
  * Add libphysfs-dev and vorbis-tools to B-D
  * Let the music sub-sub-module be treated as another '3.0 (quilt)' component,
    add the symlink dance to make this work without patches
  * Initial debian/copyright update with cme, manually add the missing licenses
  * Update gbp.conf for the new branch names

 -- Didier Raboud <odyx@debian.org>  Fri, 12 Jun 2015 08:35:42 +0200
