=== debian/control ===
Source: colobot
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Didier Raboud <odyx@debian.org>
Build-Depends:
 cmake,
 debhelper (>= 9),
 google-mock,
 imagemagick,
 libboost-dev,
 libboost-filesystem-dev,
 libboost-regex-dev,
 libboost-system-dev,
 libgl1-mesa-dev | libgl-dev,
 libglew-dev,
 libgtest-dev,
 libopenal-dev,
 libpng12-dev (>= 1.2),
 libphysfs-dev,
 librsvg2-bin,
 libsdl-image1.2-dev,
 libsdl-ttf2.0-dev,
 libsdl1.2-dev (>= 1.2.10),
 libsndfile-dev,
 perl,
 po4a
Build-Depends-Indep:
 doxygen,
 graphviz,
 vorbis-tools
Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-games/colobot.git -b debian
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/colobot.git
Standards-Version: 3.9.5
Homepage: http://colobot.info

Package: colobot
Architecture: any
Depends:
 colobot-common (>= ${source:Version}),
 colobot-common-sounds (>= ${source:Version}),
 colobot-common-textures (>= ${source:Version}),
 fonts-dejavu-core,
 fonts-dejavu-extra,
 ${misc:Depends},
 ${shlibs:Depends}
Replaces:
 colobot-common (<< 0.1.1-2)
Breaks:
 colobot-common (<< 0.1.1-2)
Description: educational programming strategy game
 Colobot (Colonize with Bots) is an educational game aiming to teach
 programming through entertainment. You are playing as an astronaut on a
 journey with robot helpers to find a planet for colonization. It features 3D
 real-time graphics and a C++ and Java-like, object-oriented language, CBOT,
 which can be used to program the robots available in the game.

Package: colobot-common
Architecture: all
Depends:
 ${misc:Depends}
Recommends:
 colobot (>= ${source:Version})
Description: educational programming strategy game - data
 Colobot (Colonize with Bots) is an educational game aiming to teach
 programming through entertainment. You are playing as an astronaut on a
 journey with robot helpers to find a planet for colonization. It features 3D
 real-time graphics and a C++ and Java-like, object-oriented language, CBOT,
 which can be used to program the robots available in the game.
 .
 This package contains the architecture-independent game data.

Package: colobot-common-textures
Architecture: all
Depends:
 ${misc:Depends}
Recommends:
 colobot (>= ${source:Version})
Replaces:
 colobot-common (<< 0.1.1-2)
Breaks:
 colobot-common (<< 0.1.1-2)
Description: educational programming strategy game - textures
 Colobot (Colonize with Bots) is an educational game aiming to teach
 programming through entertainment. You are playing as an astronaut on a
 journey with robot helpers to find a planet for colonization. It features 3D
 real-time graphics and a C++ and Java-like, object-oriented language, CBOT,
 which can be used to program the robots available in the game.
 .
 This package contains the textures for the game.

Package: colobot-common-sounds
Architecture: all
Depends:
 ${misc:Depends}
Recommends:
 colobot (>= ${source:Version})
Replaces:
 colobot-common (<< 0.1.1-2)
Breaks:
 colobot-common (<< 0.1.1-2)
Description: educational programming strategy game - sounds and music
 Colobot (Colonize with Bots) is an educational game aiming to teach
 programming through entertainment. You are playing as an astronaut on a
 journey with robot helpers to find a planet for colonization. It features 3D
 real-time graphics and a C++ and Java-like, object-oriented language, CBOT,
 which can be used to program the robots available in the game.
 .
 This package contains the sounds and music for the game.

Package: colobot-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
 colobot (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: educational programming strategy game - debug symbols
 Colobot (Colonize with Bots) is an educational game aiming to teach
 programming through entertainment. You are playing as an astronaut on a
 journey with robot helpers to find a planet for colonization. It features 3D
 real-time graphics and a C++ and Java-like, object-oriented language, CBOT,
 which can be used to program the robots available in the game.
 .
 This package contains the debugging symbols.

Package: colobot-dev-doc
Architecture: all
Section: doc
Depends:
 libjs-jquery,
 ${misc:Depends}
Recommends:
 colobot (>= ${source:Version})
Description: educational programming strategy game - source doc
 Colobot (Colonize with Bots) is an educational game aiming to teach
 programming through entertainment. You are playing as an astronaut on a
 journey with robot helpers to find a planet for colonization. It features 3D
 real-time graphics and a C++ and Java-like, object-oriented language, CBOT,
 which can be used to program the robots available in the game.
 .
 This package contains the doxygen documentation for the colobot source code.
